package com.szyd.uhfdemo;

import android.app.Application;
import android.media.AudioManager;
import android.media.SoundPool;

import realid.rfidlib.MyLib;


/**
 * author CYD
 * date 2018/11/19
 * 
 */
public class MyApp extends Application {

    public static byte[] UHF = {0x01, 0x02, 0x03};
    private MyLib idataLib;
    private static MyApp myApp;
    private SoundPool soundPool;
    private int soundID;

    public static boolean ifOpenSound = false; //enable or disable the beeper

    @Override
    public void onCreate() {
        super.onCreate();
        myApp = this;
        idataLib = new MyLib(this);
        //   MLog.ifShown = false;
        soundPool = new SoundPool(10, AudioManager.STREAM_SYSTEM, 5);
        soundID = soundPool.load(this, R.raw.beep, 1);

    }

    public static MyApp getMyApp() {
        return myApp;
    }

    public MyLib getIdataLib() {
        return idataLib;
    }


    public void playSound() {
        soundPool.play(soundID, 1, 1, 0, 1, 1);
    }

}
